American Pleasure Club
Indie band from Baltimore, MD · formed 2009
Explore 2 upcoming shows on record
- Shows on record
- 26
- Rooms played
- 26
- Cities
- 24
- Release records
- 44
- Last show
- May 26, 2018Baby's All Right
Shows
2 upcoming on recordUpcoming shows
Strummers · Fresno, CA
ArtistsPrince Daddy and the HyenaTeen SuicideCombatWalter Etc.
With Teen Suicide, Combat, Walter Etc.
Show 7:00 PM PST · Multi-band bill
Strummer's · Fresno, CA
ArtistsTeen SuicideCombat
With Combat
Show 8:00 PM PST · $31.83 to $34.92 · Multi-band bill
About
American Pleasure Club is a band from Baltimore, MD, formed in 2009, tagged ambient, ambient pop, emo by its sources. Shows on record run from 2015 to 2026, across 26 rooms in 24 cities.
- American Pleasure Club has 196596 listeners on Last.fm — American Pleasure Club on Last.fm
- American Pleasure Club has released 9 recordings between 2016 and 2019 — American Pleasure Club on Discogs
The summary is assembled from the record fields and shows on this page; each fact listed names its source. See Sources & corrections for what each source supplied.
Where they play
26 rooms in 24 citiesRooms played most
- 603 Upstairs · Brooklyn1 show
- Analog Theater, The Analog · Portland1 show
- Baby's All Right · Brooklyn1 show
- Barracuda · Austin1 show
- Beat Kitchen · Chicago1 show
Cities played
- Brooklyn2 shows
- Fresno2 shows
- Anaheim1 show
- Atlanta1 show
- Austin1 show
and 19 other cities
Live history
207 shows on record- Shows counted
- 207
- First on record
- Aug 2009
- Latest on record
- Jun 2026
Shows per year
- 20091
- 20124
- 20147
- 201515
- 201652
- 20173
- 201823
- 20197
- 20211
- 20221
- 202315
- 202442
- 202516
- 202620
Top rooms
- The Masquerade, Atlanta · 4
- Baby's All Right, Brooklyn · 4
- Will's Pub, Orlando · 3
- The Rebel Lounge, Phoenix · 3
- PhilaMOCA, Philadelphia · 3
Top cities
- Brooklyn, NY · 13
- Philadelphia, PA · 11
- Washington, DC · 11
- Los Angeles (LA), CA · 7
- Chicago, IL · 7
Often on the bill with: mewithoutYou, Museum Mouth, Say Anything, Special Explosion, Elvis Depressedly, Nicole Dollanganger, Cloud Nothings, awakebutstillinbed
Counted from the shows BandSlate holds; missing shows are not counted.
Releases
44 release records, 2011–2026Different sources may describe the same release. This count includes each source record, not distinct releases.
Release listings
Fast Talk (Houses Cover)
2019
Fucking Bliss
2019
Rose Gold
2019
If It's Your Final Wish I'll Make It Happen
2018
A Whole Fucking Lifetime Of This
2018
Oranges / Daniels
2018
Tour Tape
2018
I Blew On A Dandelion And The Whole World Disappeared
2017
Release listings: 9–9 of 9
Art Week 2016
2016
Music database discography
- 2026Nude descending staircase headlessAlbum
Run for Cover Records · RFC315 · Engineer: Andrew Oedel; Engineer: Brett Romnes; Mastered By: Stephen Marcussen; Producer, Engineer, Mixed By: Mike Sapone
- 2025Fade 2 Blue / New TattooSingle
Run for Cover Records
- 2025The Dark Don’t Hide It / Whip Poor WillSingle
Run for Cover Records
- 2022coyote (2015-2021)Single
Run for Cover Records
- 2022death wishSingle
Run for Cover Records
- 2022get high, breathe underwater (#3)Single
Run for Cover Records
- 2022honeybee table at the butterfly feastAlbum
Run for Cover Records · RFC247
- 2022new strategies for telemarketing through precognitive dreamsSingle
Run for Cover Records
- 2019fast talk (houses cover)Single
[no label]
- 2019Fucking BlissAlbum
Run for Cover Records · RFC192 · Mastered By: Will Killingsworth
- 2019rarities, b-sides, demos, outtakes, & secret songs... 2009 - 2019Compilation
[no label]
- 2018A Whole Fucking Lifetime of ThisAlbum
Run for Cover Records · RFC166
Show 23 more release records
- 2018if it's your final wish i'll make it happenSingle
[no label]
- 2018Oranges / DanielsSingle
Run for Cover Records · RFC177 · Engineer, Mixed By, Producer: Sean Mercer; Producer: Sam Ray
- 2018Tour TapeAlbum
[no label]
- 2018YULE SHOOT YOUR EYE OUTSingle
[no label]
- 2017I Blew on a Dandelion and the Whole World DisappearedAlbum
[no label]
- 2016AlexSingle
Run for Cover Records
- 2016Bonus EPEP
[no label] · [none]
- 2016Greatest Trick / SycamoreSingle
[no label]
- 2016It’s the Big Joyous Celebration, Let’s Stir the HoneypotAlbum
Run for Cover Records · RFC:136
- 2015dc snuff film / waste yrselfCompilation
Run for Cover Records · RFC:127
- 2015DebutSingle
[no label]
- 2015Sonic YouthSingle
Joy Void · Joy Void #001
- 2014Couch King SessionLive
Known Pleasure Records · KPR004/CCS001 · Recorded By: Matt Calzone
- 2013rarities, unreleased stuff, and cool thingsCompilation
[no label] · BRD004
- 2013Waste Yrself / DC Snuff FilmCompilation
Birdtapes · BRD011
- 2012DC snuff filmEP
[no label]
- 2012goblin problemsEP
[no label]
- 2012hymnsEP
[no label] · QYR002
- 2012i will be my own hell because there is a devil inside my bodyAlbum
Quiet Year Records · QYR001
- 2012songs about girls, songs about the moonAlbum
[no label]
- 2012waste yrselfEP
[no label]
- 2011bad vibes foreverCompilation
[no label]
- 2011hell (coma cinema)Single
[no label]
Catalogue sources credited on these records: MusicBrainz and Discogs.
Performance history
26 total shows on record · bandslate-pipeline, SongkickShows per year
- 20151 show
- 201823 shows
| Date | Venue | Billing | With |
|---|---|---|---|
| May 26, 2018 | Baby's All Right · BrooklynHeadlinerwith Special Explosion, edgar clinks | Headliner | Special Explosion, edgar clinks |
| May 24, 2018 | Sonia · CambridgeHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 23, 2018 | PhilaMOCA · PhiladelphiaHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 22, 2018 | Songbyrd · WashingtonHeadlinerwith Special Explosion, June Pastel | Headliner | Special Explosion, June Pastel |
| May 21, 2018 | Strange Matter · RichmondHeadlinerwith Special Explosion, Downhaul | Headliner | Special Explosion, Downhaul |
| May 19, 2018 | Cat's Cradle Back Room · CarrboroHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 18, 2018 | The Masquerade - Purgatory · AtlantaHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 17, 2018 | Soundbar · OrlandoHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 15, 2018 | Barracuda · AustinHeadlinerwith Blushing, Special Explosion | Headliner | Blushing, Special Explosion |
| May 14, 2018 | Club Dada · DallasHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 12, 2018 | The Rebel Lounge · PhoenixHeadlinerwith Special Explosion, Elna Rae | Headliner | Special Explosion, Elna Rae |
| May 11, 2018 | Queen Bee's Art & Cultural Center · San DiegoHeadlinerwith Teen Suicide, Special Explosion | Headliner | Teen Suicide, Special Explosion |
Show history: 13–24 of 24
| Date | Venue | Billing | With |
|---|---|---|---|
| May 10, 2018 | The Hi Hat · Los Angeles (LA)Headlinerwith Special Explosion | Headliner | Special Explosion |
| May 9, 2018 | Chain Reaction · AnaheimHeadlinerwith Special Explosion, MRCH | Headliner | Special Explosion, MRCH |
| May 8, 2018 | Rickshaw Stop · San FranciscoHeadlinerwith Special Explosion, High Sunn | Headliner | Special Explosion, High Sunn |
| May 6, 2018 | Chop Suey · SeattleHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 4, 2018 | Analog Theater, The Analog · PortlandHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 2, 2018 | Kilby Court · Salt Lake CityHeadlinerwith Special Explosion | Headliner | Special Explosion |
| May 1, 2018 | Globe Hall · DenverHeadlinerwith Special Explosion, The Overslept | Headliner | Special Explosion, The Overslept |
| Apr 29, 2018 | The Garage · BurnsvilleHeadlinerwith Special Explosion, Early Eyes | Headliner | Special Explosion, Early Eyes |
| Apr 28, 2018 | Beat Kitchen · ChicagoHeadlinerwith Special Explosion | Headliner | Special Explosion |
| Apr 27, 2018 | Mac's Bar · LansingHeadlinerwith Special Explosion | Headliner | Special Explosion |
| Apr 26, 2018 | Mahall's Locker Room · LakewoodHeadlinerwith The Trades, Keep Flying, Special Explosion, +4 | Headliner | The Trades, Keep Flying, Special Explosion, +4 |
| Jul 24, 2015 | 603 Upstairs · BrooklynSupportwith Naps FL, Cleats (FL), Long Neck, +1 | Support | Naps FL, Cleats (FL), Long Neck, +1 |
Lineup
- Ricky Eat Acid · start year not on record
Airplay
Lineup history
15 members on record- Sam RayOriginal memberguitar, lead vocalsfrom 2009, end unknown
- Eric Livingstondrums (drum set)2011–2013
- Alec Simkebass guitar2012–2016
- Caroline Whiteviola2012–2013
- John Tooheybackground vocals2013–2016
- Sean Mercerdrums (drum set)2014–2016
- Kittyfrom 2018, end unknown
- Brian Sumnertenure unknown
- Daniel Windsortenure unknown
- Kitty Prydetenure unknown
- Nathan Munizzitenure unknown
- Nick Hughestenure unknown
Show 3 more members
- Ricky Eat Acidtenure unknown
- Sean LaBreetenure unknown
- starry cattenure unknown
Years come from public music databases. Where none says a member left, the end is shown as unknown; it does not mean they are still in the band.
Members also play in: 56colors (via Sam Ray), High Bloom (via Caroline White), Infinity Crush (via Caroline White), The Pom‐Poms (via Sam Ray), Us and Us Only (via Sean Mercer)
Members' earlier bands: Julia Brown (via Caroline White)
Shares members with: The Pom-Poms (via Kitty Pryde)
Photos, art and posters

Sources & corrections
| Source | Used for |
|---|---|
| American Pleasure Club on Last.fm | Artist facts |
| American Pleasure Club on Discogs | Artist facts |
| KEXP | Airplay |
| bandslate-pipeline | Show history |
| Songkick | Show history, Show posters |
| MusicBrainz | Music database discography |
| Discogs | Music database discography |
| Last.fm | Credited on the record; no item on this page cites it |
This is a partial record of publicly documented activity. Missing shows, releases or members do not mean there are none. It does not confirm availability for booking.
From Wikipedia
These facts are from the English Wikipedia article Teen Suicide (band). They are shown on their own and are not merged into the record above.
- Origin
- Baltimore, Maryland, U.S.
- Years active
- 2009–present
- Genres
- Indie rock, noise pop, emo, experimental pop, shoegaze, lo-fi, dream pop
- Labels
- Run for Cover
- Current members
- Sam Ray, Kitty Pryde
- Past members
- Eric Livingston, Caroline White, John Toohey, Brian Sumner, Alec Simke, Sean Mercer
From Wikipedia, the free encyclopedia. Revision used. Wikipedia content is available under CC BY-SA 4.0.